package domain


type AlibabaAelophyOrderGetOrderFundsDiscount struct {
    /*
        活动名称     */
    DiscountName  *string `json:"discount_name,omitempty" `

    /*
        活动类型     */
    DiscountType  *string `json:"discount_type,omitempty" `

    /*
        优惠金额(分)     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        商家优惠(分)     */
    DiscountMerchantFee  *int64 `json:"discount_merchant_fee,omitempty" `

    /*
        平台优惠(分)     */
    DiscountPlatformFee  *int64 `json:"discount_platform_fee,omitempty" `

}

func (s *AlibabaAelophyOrderGetOrderFundsDiscount) SetDiscountName(v string) *AlibabaAelophyOrderGetOrderFundsDiscount {
    s.DiscountName = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderFundsDiscount) SetDiscountType(v string) *AlibabaAelophyOrderGetOrderFundsDiscount {
    s.DiscountType = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderFundsDiscount) SetDiscountFee(v int64) *AlibabaAelophyOrderGetOrderFundsDiscount {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderFundsDiscount) SetDiscountMerchantFee(v int64) *AlibabaAelophyOrderGetOrderFundsDiscount {
    s.DiscountMerchantFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderFundsDiscount) SetDiscountPlatformFee(v int64) *AlibabaAelophyOrderGetOrderFundsDiscount {
    s.DiscountPlatformFee = &v
    return s
}
